using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples.NavigateTheMap
{
    public partial class ZoomLevelsLessThan20 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
            #region MyRegion
            
            Map1.MapUnit = GeographyUnit.DecimalDegree;

            WorldMapKitWmsWebOverlay worldMapKitWmsWebOverlay = new WorldMapKitWmsWebOverlay();
            Map1.CustomOverlays.Add(worldMapKitWmsWebOverlay);

            ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/SampleData/world/cntry02.shp"));
            worldLayer.ZoomLevelSet.ZoomLevel01.Scale = 0;
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level02;
            worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, GeoColor.SimpleColors.Green));
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level13;
            worldLayer.ZoomLevelSet.ZoomLevel14.Scale = 0;
            worldLayer.ZoomLevelSet.ZoomLevel14.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay staticOverlay = new LayerOverlay();
            staticOverlay.IsBaseOverlay = false;
            staticOverlay.Layers.Add(worldLayer);
            Map1.CustomOverlays.Add(staticOverlay);
            Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);

            //Map1.ZoomLevelSet.ZoomLevel01.Scale = 0;
            //Map1.ZoomLevelSet.ZoomLevel02.Scale = 0;
            //Map1.ZoomLevelSet.ZoomLevel14.Scale = 0;
            //Map1.ZoomLevelSet.ZoomLevel14.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            Map1.ZoomLevelSet = worldLayer.ZoomLevelSet;
            #endregion

            #region Old
            //Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
            //Map1.MapUnit = GeographyUnit.DecimalDegree;

            //WorldMapKitWmsWebOverlay worldMapKitWmsWebOverlay = new WorldMapKitWmsWebOverlay();
            //Map1.CustomOverlays.Add(worldMapKitWmsWebOverlay);

            //ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/SampleData/world/cntry02.shp"));
            //worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, GeoColor.SimpleColors.Green));
            //worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level05;
            //worldLayer.ZoomLevelSet.ZoomLevel06.Scale = 0;
            //worldLayer.ZoomLevelSet.ZoomLevel06.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            //LayerOverlay staticOverlay = new LayerOverlay();
            //staticOverlay.IsBaseOverlay = false;
            //staticOverlay.Layers.Add(worldLayer);
            //Map1.CustomOverlays.Add(staticOverlay);

            //Map1.ZoomLevelSet = worldLayer.ZoomLevelSet;
            #endregion
        }
    }
}
